com.opensymphony.xwork2

## Class ActionProxy.LegacyAdapter

- java.lang.Object
- - com.opensymphony.xwork2.ActionProxy.LegacyAdapter

- All Implemented Interfaces:
    ActionProxy
  Enclosing interface:
    ActionProxy

      public static class ActionProxy.LegacyAdapter
      extends Object
      implements ActionProxy

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.ActionProxy

      `ActionProxy.LegacyAdapter`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()` Execute this ActionProxy.
    `Object` | `getAction()` Gets the Action instance for this Proxy.
    `String` | `getActionName()` Gets the alias name this ActionProxy is mapped to.
    `ActionConfig` | `getConfig()` Gets the ActionConfig this ActionProxy is built from.
    `boolean` | `getExecuteResult()` Gets the status of whether the ActionProxy is set to execute the Result after the Action is executed.
    `ActionInvocation` | `getInvocation()`
    `String` | `getMethod()` Gets the method name to execute, or `null` if no method has been specified (meaning `execute` will be invoked).
    `String` | `getNamespace()` Gets the namespace the ActionConfig for this ActionProxy is mapped to.
    `boolean` | `isMethodSpecified()` Gets status of the method value's initialization.
    `void` | `setExecuteResult(boolean executeResult)` Sets whether this ActionProxy should also execute the Result after executing the Action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.ActionProxy

      `adapt`

- - ### Method Detail

    - #### getAction

          public Object getAction()

      Description copied from interface: `ActionProxy`
      Gets the Action instance for this Proxy.
      Specified by:
        `getAction` in interface `ActionProxy`
      Returns:
        the Action instance

    - #### getActionName

          public String getActionName()

      Description copied from interface: `ActionProxy`
      Gets the alias name this ActionProxy is mapped to.
      Specified by:
        `getActionName` in interface `ActionProxy`
      Returns:
        the alias name

    - #### getConfig

          public ActionConfig getConfig()

      Description copied from interface: `ActionProxy`
      Gets the ActionConfig this ActionProxy is built from.
      Specified by:
        `getConfig` in interface `ActionProxy`
      Returns:
        the ActionConfig

    - #### setExecuteResult

          public void setExecuteResult(boolean executeResult)

      Description copied from interface: `ActionProxy`
      Sets whether this ActionProxy should also execute the Result after executing the Action.
      Specified by:
        `setExecuteResult` in interface `ActionProxy`
      Parameters:
        `executeResult` - `true` to also execute the Result.

    - #### getExecuteResult

          public boolean getExecuteResult()

      Description copied from interface: `ActionProxy`
      Gets the status of whether the ActionProxy is set to execute the Result after the Action is executed.
      Specified by:
        `getExecuteResult` in interface `ActionProxy`
      Returns:
        the status

    - #### getInvocation

          public ActionInvocation getInvocation()

      Specified by:
        `getInvocation` in interface `ActionProxy`

    - #### getNamespace

          public String getNamespace()

      Description copied from interface: `ActionProxy`
      Gets the namespace the ActionConfig for this ActionProxy is mapped to.
      Specified by:
        `getNamespace` in interface `ActionProxy`
      Returns:
        the namespace

    - #### execute

          public String execute()
                         throws Exception

      Description copied from interface: `ActionProxy`
      Execute this ActionProxy. This will set the ActionContext from the ActionInvocation into the ActionContext ThreadLocal before invoking the ActionInvocation, then set the old ActionContext back into the ThreadLocal.
      Specified by:
        `execute` in interface `ActionProxy`
      Returns:
        the result code returned from executing the ActionInvocation
      Throws:
        `Exception` - can be thrown.
      See Also:
        `ActionInvocation`

    - #### getMethod

          public String getMethod()

      Description copied from interface: `ActionProxy`
      Gets the method name to execute, or `null` if no method has been specified (meaning `execute` will be invoked).
      Specified by:
        `getMethod` in interface `ActionProxy`
      Returns:
        the method to execute

    - #### isMethodSpecified

          public boolean isMethodSpecified()

      Description copied from interface: `ActionProxy`
      Gets status of the method value's initialization.
      Specified by:
        `isMethodSpecified` in interface `ActionProxy`
      Returns:
        true if the method returned by getMethod() is not a default initializer value.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.